xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2007 Andrea Rossato
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.ResizeScreen

Contents

- Usage:

Description

A layout transformer to have a layout respect a given screen geometry. Mostly used with Decoration (the Horizontal and the Vertical version will react to SetTheme and change their dimension accordingly.

Synopsis

- resizeHorizontal :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeVertical :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeHorizontalRight :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeVerticalBottom :: Int -> l a -> ModifiedLayout ResizeScreen l a
- withNewRectangle :: Rectangle -> l a -> ModifiedLayout ResizeScreen l a
- data ResizeScreen a
  - = ResizeScreen ResizeMode Int
  - | WithNewScreen Rectangle
- data ResizeMode

# Usage:

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

    import XMonad.Layout.ResizeScreen

and modifying your layoutHook as follows (for example):

    layoutHook = resizeHorizontal 40 Full

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

resizeHorizontal :: Int -> l a -> ModifiedLayout ResizeScreen l a Source #

resizeVertical :: Int -> l a -> ModifiedLayout ResizeScreen l a Source #

resizeHorizontalRight :: Int -> l a -> ModifiedLayout ResizeScreen l a Source #

resizeVerticalBottom :: Int -> l a -> ModifiedLayout ResizeScreen l a Source #

withNewRectangle :: Rectangle -> l a -> ModifiedLayout ResizeScreen l a Source #

data ResizeScreen a Source #

Constructors

ResizeScreen ResizeMode Int |
WithNewScreen Rectangle |

#### Instances

Instances details

LayoutModifier ResizeScreen a Source # |

Instance details

Defined in XMonad.Layout.ResizeScreen

Methods

modifyLayout :: LayoutClass l a => ResizeScreen a -> Workspace WorkspaceId (l a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (l a)) Source #

modifyLayoutWithUpdate :: LayoutClass l a => ResizeScreen a -> Workspace WorkspaceId (l a) a -> Rectangle -> X (([(a, Rectangle)], Maybe (l a)), Maybe (ResizeScreen a)) Source #

handleMess :: ResizeScreen a -> SomeMessage -> X (Maybe (ResizeScreen a)) Source #

handleMessOrMaybeModifyIt :: ResizeScreen a -> SomeMessage -> X (Maybe (Either (ResizeScreen a) SomeMessage)) Source #

pureMess :: ResizeScreen a -> SomeMessage -> Maybe (ResizeScreen a) Source #

redoLayout :: ResizeScreen a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> X ([(a, Rectangle)], Maybe (ResizeScreen a)) Source #

pureModifier :: ResizeScreen a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> ([(a, Rectangle)], Maybe (ResizeScreen a)) Source #

hook :: ResizeScreen a -> X () Source #

unhook :: ResizeScreen a -> X () Source #

modifierDescription :: ResizeScreen a -> String Source #

modifyDescription :: LayoutClass l a => ResizeScreen a -> l a -> String Source #

Read (ResizeScreen a) Source # |
Instance details Defined in XMonad.Layout.ResizeScreen Methods readsPrec :: Int -> ReadS (ResizeScreen a) Source # readList :: ReadS [ResizeScreen a] Source # readPrec :: ReadPrec (ResizeScreen a) Source # readListPrec :: ReadPrec [ResizeScreen a] Source #
Show (ResizeScreen a) Source # |
Instance details Defined in XMonad.Layout.ResizeScreen Methods showsPrec :: Int -> ResizeScreen a -> ShowS Source # show :: ResizeScreen a -> String Source # showList :: [ResizeScreen a] -> ShowS Source #

data ResizeMode Source #

#### Instances

Instances details

Read ResizeMode Source # |
Instance details Defined in XMonad.Layout.ResizeScreen Methods readsPrec :: Int -> ReadS ResizeMode Source # readList :: ReadS [ResizeMode] Source # readPrec :: ReadPrec ResizeMode Source # readListPrec :: ReadPrec [ResizeMode] Source #
Show ResizeMode Source # |
Instance details Defined in XMonad.Layout.ResizeScreen Methods showsPrec :: Int -> ResizeMode -> ShowS Source # show :: ResizeMode -> String Source # showList :: [ResizeMode] -> ShowS Source #